
DROP TABLE IF EXISTS "AppSetting";
CREATE TABLE "AppSetting" ("name" VARCHAR NOT NULL , "value" VARCHAR NOT NULL);

DROP TABLE IF EXISTS "Category";
CREATE TABLE "Category" ("id" INTEGER PRIMARY KEY  NOT NULL  UNIQUE , "eventId" INTEGER NOT NULL, "name" VARCHAR );
    
DROP TABLE IF EXISTS "Event";
CREATE TABLE "Event" ("id" INTEGER PRIMARY KEY  NOT NULL  UNIQUE , "meetId" INTEGER NOT NULL , "number" VARCHAR, "name" VARCHAR, "ageGroup" VARCHAR, "isMedley" BOOL, "isRelay" BOOL);

DROP TABLE IF EXISTS "Heat";
CREATE TABLE "Heat" ("id" INTEGER PRIMARY KEY  NOT NULL  UNIQUE , "roundId" INTEGER NOT NULL ,  "number" INTEGER, "name" VARCHAR, "startTime" VARCHAR, "isDone" BOOL);

DROP TABLE IF EXISTS "HeatEntry";
CREATE TABLE "HeatEntry" ("id" INTEGER PRIMARY KEY  NOT NULL  UNIQUE , "heatId" INTEGER NOT NULL , "categoryId" INTEGER , "laneNumber" INTEGER, "seedTimeInSecs" VARCHAR, seedRank INTEGER, "timeInSecs" VARCHAR, "heatPlace" INTEGER, "overallPlace" INTEGER, "pointsEarned" REAL, "standard" VARCHAR, "didQualify" BOOL, "isEmptyLane" BOOL, "isUnderReview" BOOL, "isDisqualified" BOOL, "disqualifiedReason" VARCHAR, "teamLetter" VARCHAR);

DROP TABLE IF EXISTS "Meet";
CREATE TABLE "Meet" ("id" INTEGER PRIMARY KEY  NOT NULL  UNIQUE , "name" VARCHAR, "startDate" INTEGER, "endDate" INTEGER, "facilityName" VARCHAR, "streetAddress" VARCHAR, "city" VARCHAR, "stateProvince" VARCHAR, "postalCode" VARCHAR, "countryCode" VARCHAR, "phone" VARCHAR);

DROP TABLE IF EXISTS "Round";
CREATE TABLE "Round" ("id" INTEGER PRIMARY KEY  NOT NULL  UNIQUE , "sessionId" INTEGER NOT NULL , "eventId" INTEGER NOT NULL , "sequence" INTEGER, "roundType" VARCHAR, "number" INTEGER, "name" VARCHAR, "startTime" VARCHAR, "checkinTime" VARCHAR, "status" VARCHAR);

DROP TABLE IF EXISTS "SearchPrefs";
CREATE TABLE "SearchPrefs" ("locationName" VARCHAR, "afterDate" INTEGER, "beforeDate" INTEGER, "levels" VARCHAR);

DROP TABLE IF EXISTS "Session";
CREATE TABLE "Session" ("id" INTEGER PRIMARY KEY  NOT NULL  UNIQUE , "meetId" INTEGER NOT NULL , "number" INTEGER, "name" VARCHAR, "startDate" INTEGER, "startTime" VARCHAR, "status" VARCHAR);

DROP TABLE IF EXISTS "SplitTime";
CREATE TABLE "SplitTime" ("swimmerId" INTEGER NOT NULL , "heatEntryId" INTEGER NOT NULL , "sequence" INTEGER, "stroke" VARCHAR, "distance" INTEGER, "unit" VARCHAR, "time" VARCHAR, "cumulativeTime" VARCHAR, PRIMARY KEY ("swimmerId", "heatEntryId", "sequence"));

DROP TABLE IF EXISTS "Standards";
CREATE TABLE "Standards" ("categoryId" INTEGER NOT NULL , "sequence" INTEGER, "name" VARCHAR, "type" VARCHAR, "time" VARCHAR);

DROP TABLE IF EXISTS "Swimmer";
CREATE TABLE "Swimmer" ("id" INTEGER PRIMARY KEY  NOT NULL  UNIQUE , "meetId" INTEGER NOT NULL , "teamId" INTEGER NOT NULL , "firstName" VARCHAR, "lastName" VARCHAR, "classLevel" VARCHAR, "age" VARCHAR, "gender" VARCHAR, "isTracked" BOOL);

DROP TABLE IF EXISTS "SwimmerHeatEntry";
CREATE TABLE "SwimmerHeatEntry" ("swimmerId" INTEGER NOT NULL , "heatEntryId" INTEGER NOT NULL , "sequence" INTEGER, "stroke" VARCHAR, PRIMARY KEY ("swimmerId", "heatEntryId"));

DROP TABLE IF EXISTS "SwimmerScore";
CREATE TABLE "SwimmerScore" ("swimmerId" INTEGER NOT NULL , "score" REAL);

DROP TABLE IF EXISTS "Team";
CREATE TABLE "Team" ("id" INTEGER PRIMARY KEY  NOT NULL  UNIQUE , "meetId" INTEGER NOT NULL , "name" VARCHAR, "abbreviation" VARCHAR, "isTracked" BOOL);

DROP TABLE IF EXISTS "TeamScore";
CREATE TABLE "TeamScore" ("teamId" INTEGER NOT NULL , "score" REAL, "rank" INTEGER, "title" VARCHAR, "type" VARCHAR, "throughEvent" VARCHAR, "scoreSystem" VARCHAR);

DROP TABLE IF EXISTS "TrackingFilters";
CREATE TABLE "TrackingFilters" ("meetId" INTEGER NOT NULL, "swimmerFilterEnabled" BOOL, "teamFilterEnabled" BOOL);

DROP TABLE IF EXISTS "Updates";
CREATE TABLE "Updates" ("id" INTEGER NOT NULL , "type" VARCHAR NOT NULL , "refreshDate" VARCHAR NOT NULL , PRIMARY KEY ("id", "type"));

DROP TABLE IF EXISTS "Version";
CREATE TABLE "Version" ("version" INTEGER NOT NULL );

DROP TABLE IF EXISTS "PurchasedMeet";
CREATE TABLE "PurchasedMeet" ("meetId" INTEGER PRIMARY KEY  NOT NULL  UNIQUE);

INSERT INTO "SearchPrefs" VALUES ('', -1, -1, '');
INSERT INTO "Version" VALUES(1);
